Package picard.util.IntervalList

# Class IntervalListScatter

java.lang.Object
picard.util.IntervalList.IntervalListScatter

All Implemented Interfaces:
  `Iterable<htsjdk.samtools.util.IntervalList>`

public class IntervalListScatter extends Object implements Iterable<htsjdk.samtools.util.IntervalList>

## Constructor Summary

Constructors
Constructor
Description
`IntervalListScatter(IntervalListScatterer scatterer, htsjdk.samtools.util.IntervalList intervals, int scatterCount)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<htsjdk.samtools.util.IntervalList>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### IntervalListScatter

public IntervalListScatter(IntervalListScatterer scatterer, htsjdk.samtools.util.IntervalList intervals, int scatterCount)

## Method Details

### iterator

public Iterator<htsjdk.samtools.util.IntervalList> iterator()

Specified by:
  `iterator` in interface `Iterable<htsjdk.samtools.util.IntervalList>`